Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

Query Parameters

page
integer

Page number

per_page
integer

Limit on the number of objects to be returned, between 1 and 100. 25 by default

automation_id
string

Filter events to a single automation by its ID.

state
enum<string>

Filter events by outcome state. Unrecognized values are ignored.

Available options:
success,
failure,
in_progress
triggered_by
enum<string>

Filter events by what triggered the automation run. Unrecognized values are ignored.

Available options:
manual,
schedule,
upload,
upload_batch
project_id
string

Filter events by project ID. Accepts a single ID or a comma-separated list of IDs.

project_ids
string[]

Filter events by one or more project IDs.

created_after
string

Return only events created after this ISO 8601 timestamp. Returns 400 if the value is not a valid date-time.

created_before
string

Return only events created before this ISO 8601 timestamp. Returns 400 if the value is not a valid date-time.

Response

OK

id
string

Unique identifier of the automation event.

automation_id
string

Identifier of the automation that produced this event.

state
enum<string>

Outcome of the automation run.

Available options:
success,
failure,
in_progress
triggered_by
enum<string>

What caused the automation to run.

Available options:
manual,
schedule,
upload,
upload_batch
created_at
string<date-time>

Timestamp when the event was created.

jobs_created
integer

Number of jobs created during this automation run.

job_ids
string[]

Identifiers of the jobs created during this automation run.

project
object

The project associated with this automation event. Null when no project is set.

details
string | null

Error message describing the failure when state is failure; null otherwise.